unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, RVScroll, SclRView, System.Actions,
  Vcl.ActnList, RichViewActions, RVMathActions, Vcl.StdCtrls,
  RVBasicMathWrapper, RichView, RVEdit,
  RVItem, RVStyle, CRVData, CRVFData,
  RVRVData,
  RVALocalize, RVTypes,
  RVMathItem, RVMathEditorFrm;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ActionList1: TActionList;
    RVEInsertrvActionInsertEquation1: TrvActionInsertEquation;
    RVEMiscellaneousrvActionItemProperties1: TrvActionItemProperties;
    SRichViewEdit1: TSRichViewEdit;
    Memo1: TMemo;
    procedure SRichViewEdit1RVMouseDown(Sender: TCustomRichView;
      Button: TMouseButton; Shift: TShiftState; ItemNo, X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SRichViewEdit1RVMouseDown(Sender: TCustomRichView;
  Button: TMouseButton; Shift: TShiftState; ItemNo, X, Y: Integer);
var
  ActionItemProperties: TrvActionItemProperties;
  ItemInfo: TCustomRVItemInfo;
begin
  if ItemNo < 0 then Exit;
  if Shift = [ssLeft, ssDouble] then
    begin
      ItemInfo := SRichViewEdit1.ActiveEditor.GetItem(ItemNo);
      if ItemInfo.StyleNo = rvsMathEquation then
        begin
          ActionItemProperties := TrvActionItemProperties.Create(Self);
          try
            ActionItemProperties.Execute;
          finally
            ActionItemProperties.Free;
          end;
        end;
    end;
  SRichViewEdit1.Format;
end;

end.
